Description

I would like to add a field separator option to the CVS export option form.

Background:

If I have set the language e.g. to English in my Redmine profile, the separator is taken from config/locales/en.yml

(general_csv_separator) and it is comma. If I have installed e.g. German Microsoft Office and try to open such a CSV, it expects that

the separator is semicolon. Unfortunately, Microsoft Office doesn't offer to choose the separator prior opening a CSV file and always

uses the default value.
It is also related to #37581, where many translations have set general_csv_separator to different value than is expected in Microsoft

Office.

Associated revisions

Revision 22359 - 2023-10-21 08:19 - Go MAEDA

Add field separator option to CSV export dialog (#37621).

Patch by Karel Pičman.

History

#1 - 2022-09-07 08:10 - Go MAEDA

Is the ability to select decimal separator unnecessary?

I think you need to change the decimal separator to ";" when you change the field separator to ",".

#2 - 2022-09-12 07:42 - Karel Pičman

No, you needn't. When the decimal separator is comma, values containing comma are enclosed in apostrophes.

...2022-09-12,"","2,50","2,50",0,2022-09-12 07:37...

#3 - 2022-10-13 06:16 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2022-10-31 05:48 - Go MAEDA

- Target version changed from Candidate for next major release to 5.1.0

Setting the target version to 5.1.0.

#5 - 2023-10-21 08:27 - Go MAEDA

- File clipboard-202310211526-mpvaq.png added

- Subject changed from Field separator in CSV export options to Add field separator option to CSV export dialog

- Category changed from Text formatting to Issues

- Status changed from New to Closed

- Assignee set to Go MAEDA
https://www.redmine.org/issues/37581


Committed the patch in r22359 with the following changes.

Removed ":", "{tab}", "{space}" from the field separator options because the current importer does not support them. But I think "{tab}" is useful,

so I opened a new issue #39212

Changed the text in the select box from "," and ";" to "Comma" and "Semicolon", the same as the importer's dialog

Added more tests

Thank you for your contribution.

 clipboard-202310211526-mpvaq.png 

#6 - 2023-10-22 09:05 - Mischa The Evil

Go MAEDA wrote in #note-5:

Removed ":", "{tab}", "{space}" from the field separator options because the current importer does not support them. [...]

 While I don't care about this change particularly, I do strongly think that Redmine's CSV-import capabilities shouldn't be leading in setting the scope

for the CSV-export capabilities. I believe that Redmine should be agnostic about any post-processors of the exported CSV file.

#7 - 2023-10-30 11:01 - Go MAEDA

- Tracker changed from Patch to Feature

- Resolution set to Fixed
